<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;
use Garradin\Plugin\Materiels\Category;

class Equipment
{
  protected $columns_order = array(
    'id',
    'category_id',
    'stock_number',
    'designation',
  );

  public function add($data = [])
	{
    $db = DB::getInstance();
		$db->insert('plugin_materiels_equipment', $data);
    return $db->lastInsertRowId();
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_equipment', $data, $db->where('id', $id));
	}

  public function get($id)
  {
    return DB::getInstance()->first('SELECT * FROM plugin_materiels_equipment WHERE id = ?;', $id);
  }

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_equipment ORDER BY designation;');
	}

  public function listAllByCategory()
  {
    $cat = new Category;
    $cats = $cat->listAll();
    $eqmts_by_cat = array();
    foreach ($cats as $cat) {
    	$eqmts_by_cat[$cat->name] = DB::getInstance()->get(
        'SELECT * FROM plugin_materiels_equipment WHERE category_id = ? ORDER BY designation;', $cat->id);
    }
    return $eqmts_by_cat;
  }
}
