<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Category;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$cat = new Category;

$c = $cat->get((int) qg('id'));

if (!$c) {
	throw new UserException("Cette catégorie n'existe pas.");
}

$csrf_key = 'delete_category_' . $c->id;

if (f('delete') && $form->check($csrf_key) && !$form->hasErrors())
{
	try
	{
		$cat->delete($c->id);
		Utils::redirect(PLUGIN_URL . 'categories/index.php');
	}
	catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'FOREIGN KEY constraint failed'))
		{
			$form->addError('Cette catégorie contient des matériels et ne peut donc pas être supprimée.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}
}

$cancel_link = PLUGIN_URL . 'categories/index.php';

$tpl->assign(compact('c', 'csrf_key', 'cancel_link'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/supprimer_categorie.tpl');
